This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 508201 - SELinux is preventing find (sysstat_t) "read" security_t.
SELinux is preventing find (sysstat_t) "read" security_t.
Status: CLOSED DUPLICATE of bug 507476
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
11
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Daniel Walsh
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-25 22:59 EDT by Reaz
Modified: 2009-09-08 07:40 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-08 07:40:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Reaz 2009-06-25 22:59:10 EDT
D
Summary:

SELinux is preventing find (sysstat_t) "read" security_t.

Detailed Description:

SELinux denied access requested by find. It is not expected that this access is
required by find and this access may signal an intrusion attempt. It is also
possible that the specific version or configuration of the application is
causing it to require additional access.

Allowing Access:

You can generate a local policy module to allow this access - see FAQ
(http://fedora.redhat.com/docs/selinux-faq-fc5/#id2961385) Or you can disable
SELinux protection altogether. Disabling SELinux protection is not recommended.
Please file a bug report (http://bugzilla.redhat.com/bugzilla/enter_bug.cgi)
against this package.

Additional Information:

Source Context                system_u:system_r:sysstat_t:s0-s0:c0.c1023
Target Context                system_u:object_r:security_t:s0
Target Objects                mls [ file ]
Source                        find
Source Path                   /bin/find
Port                          <Unknown>
Host                          reazlin
Source RPM Packages           findutils-4.4.0-2.fc11
Target RPM Packages           
Policy RPM                    selinux-policy-3.6.12-50.fc11
Selinux Enabled               True
Policy Type                   targeted
MLS Enabled                   True
Enforcing Mode                Enforcing
Plugin Name                   catchall
Host Name                     reazlin
Platform                      Linux reazlin 2.6.29.4-167.fc11.x86_64 #1 SMP Wed
                              May 27 17:27:08 EDT 2009 x86_64 x86_64
Alert Count                   12
First Seen                    Sun 21 Jun 2009 11:53:01 PM MUT
Last Seen                     Thu 25 Jun 2009 11:53:01 PM MUT
Local ID                      05f19a8f-ff9a-4123-9eea-f1eb81b8356e
Line Numbers                  

Raw Audit Messages            

node=reazlin type=AVC msg=audit(1245959581.749:3763): avc:  denied  { read } for  pid=11156 comm="find" name="mls" dev=selinuxfs ino=12 scontext=system_u:system_r:sysstat_t:s0-s0:c0.c1023 tcontext=system_u:object_r:security_t:s0 tclass=file

node=reazlin type=SYSCALL msg=audit(1245959581.749:3763): arch=c000003e syscall=2 success=no exit=406503384 a0=7ffff61b2ce0 a1=0 a2=7ffff61b2cec a3=fffffff8 items=0 ppid=11146 pid=11156 auid=0 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=762 comm="find" exe="/bin/find" subj=system_u:system_r:sysstat_t:s0-s0:c0.c1023 key=(null)
Comment 1 Daniel Walsh 2009-06-26 16:03:04 EDT
You can add these rules now using

# grep avc /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Fixed in selinux-policy-3.6.12-57.fc11
Comment 2 Kamil Dudka 2009-09-08 07:40:52 EDT

*** This bug has been marked as a duplicate of bug 507476 ***

Note You need to log in before you can comment on or make changes to this bug.